168c:002b [Asus U32U] asus_nb_wmi AR9285 ath9k not working after updating to Ubuntu 13.04 Raring

Bug #1173681 reported by pixolex on 2013-04-27
468
This bug affects 100 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

update: updated the BIOS to the latest version but the problem persists.

Booting with the older kernel (latest linux kernel from 12.10) every thing works fine. After upgrading to Raring Ringtail Ubuntu 13.04, with the new kernel, hardware get blocked/disabled and wireless doesn't work:
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
1: asus-wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no

WORKAROUND - is only applicable to Asus Notebooks/netbooks that use the "asus_nb_wmi" driver:
Create and edit asus_nb_wmi.conf file with this command:
sudo echo "options asus_nb_wmi wapf=4" | sudo tee /etc/modprobe.d/asus_nb_wmi.conf

For more detailed info of the workaround please see: http://ubuntuforums.org/showthread.php?t=2181558

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-19-generic 3.8.0-19.29
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: xxxxx 1822 F.... pulseaudio
CurrentDmesg:
 [ 370.100280] r8169 0000:04:00.2 eth1: link up
 [ 370.100322] IPv6: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
 [ 891.718748] systemd-hostnamed[2649]: Warning: nss-myhostname is not installed. Changing the local hostname might make it unresolveable. Please install nss-myhostname!
 [14119.241628] rtsx_pci 0000:04:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.
Date: Sat Apr 27 17:31:51 2013
HibernationDevice: RESUME=UUID=e417e9f2-b63e-4b79-9be4-c21f55547205
InstallationDate: Installed on 2012-07-13 (287 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: ASUSTeK Computer Inc. U32U
MarkForUpload: True
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-19-generic root=UUID=3ad9d88b-a7a5-460f-ba15-a78dd7f2fc94 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
SourcePackage: linux
UpgradeStatus: Upgraded to raring on 2013-04-27 (0 days ago)
dmi.bios.date: 12/16/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: U32U.204
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: U32U
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrU32U.204:bd12/16/2011:svnASUSTeKComputerInc.:pnU32U:pvr1.0:rvnASUSTeKComputerInc.:rnU32U:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: U32U
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

pixolex (pixolex) wrote :
pixolex (pixolex) on 2013-04-27
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: quantal
pixolex (pixolex) on 2013-04-28
description: updated

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-bisect
pixolex (pixolex) wrote :

The new kernel (v3.9-raring) doesn't totally fixed the bug, some times it works, some times it doesn't work.

When it works:
- the wi-fi led stays off after boot;
- the wi-fi led simply doesn't work even if I use Fn-F2 or sudo rfkill block/unblock all, but the interface connects and disconnects form my wi-fi router;
- rfkill list shows just one interface:
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

When it doesn't work:
- the wi-fi led is on after boot;
- the wi-fi led turns on and off if I use Fn-F2 key or sudo rfkill block/unblock all;
- rfkill shows two interfaces:
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
1: asus-wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no

I'm trying to find why it randomly works, if there's any sequence of restart/shutdown that makes it work.

I think the bug is not fixed, and I'm marking it as "kernel-bug-exists-upstream"

tags: added: kernel-bug-exists-upstream

apport information

tags: added: apport-collected
description: updated

apport information

pixolex, as per https://www.asus.com/Notebooks_Ultrabooks/U32U/#support_Download_30 an update is available for your BIOS (208). If you update to this, does it change anything?

As well, once updated, please provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Thank you for your understanding.

summary: - AR9285 ath9k not working after updating to ubuntu 13.04 Raring (linux
- 3.8.0-19-generic)
+ 168c:002b AR9285 ath9k not working after updating to ubuntu 13.04 Raring
+ (linux 3.8.0-19-generic)
tags: added: kernel-bug-exists-upstream-v3.9 needs-upstream-testing
removed: kernel-bug-exists-upstream
tags: added: bios-outdated-208
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
pixolex (pixolex) wrote :

I had already updated the BIOS to the latest firmware. I reported that in the first line of the bug report.

So here is the output of the command line as asked:

U32U.208
05/31/2012

Heiner Wohner (hewo) wrote :

My Notebook(Acer Aspire S3) was affected by this bug, too. I resolved it by downgrading the kernel to 3.6.11.

You can download it under:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.11-raring/

Maybe you have to load the driver with 'modprobe ath9k nohwcrypt=1', because of another older bug.

Good luck.

pixolex, thank you for providing the requested information. Could you please test the latest upstream kernel available (v3.10-rc2) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-208
removed: bios-outdated-208

I just upgrade to linux-backports-modules-cw-3.6-3.5.0-32-generic, and seems to have solved this bug

fabriciorsf, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

pixolex (pixolex) wrote :

No news with linux kernel v3.10-rc5
Exactly the same random problem. If the wireless led turns on during boot sequence no wireless, if it keeps off during boot sequence I got wireless working.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.10-rc5
removed: needs-upstream-testing
tags: removed: kernel-bug-exists-upstream-v3.9

pixolex, thank you for performing the requested test. Could you please commit bisect this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

pixolex (pixolex) wrote :

I've tested the linux-image-3.11.0-999-generic version, but no luck.

I can't bisect.

pixolex, could you please test the latest released mainline kernel (not the daily) via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc7-saucy/ and report the results?

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
pixolex (pixolex) wrote :

linux-headers-3.11.0-031100rc7-generic_3.11.0-031100rc7.201308252135_amd64.deb
linux-headers-3.11.0-031100rc7_3.11.0-031100rc7.201308252135_all.deb
linux-image-3.11.0-031100rc7-generic_3.11.0-031100rc7.201308252135_amd64.deb

I've instaled the latest kernel version you indicated and got this warnigs:

W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-2.fw for module r8169

After some test an a lot of reboots and shutdowns i've concluded that now wfi simply does't work. Not even the led works any more.

Pixolex, latest mainline kernel is now http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-saucy/ . Could you please test with this and advise on the results?

pixolex (pixolex) wrote :

No luck, no change, exactly the same problem: Wireless is dead!

0: asus-wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

I think I'll have another 6 month period with a old kernel, since saucy e coming. Worst, I'll not have video decoding acceleration in hardware with a old kernel.

What can I do more without bisect?

description: updated
gmax.jp (gmax-jp) wrote :

I have EeePC 1001HA(wlan is AR9285) and troubled with same problem for a couple of these days.
If you are running dual boot system, try reboot from windows and enable your wlan then reboot ubuntu again.
This works for me.

I also found phy0 is hard blocked all the time while the problem occurs and enabling wlan on windows unblocks this.

# rfkill list
0: asus-wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: yes

After enabling wlan on windows, rfkill reported that pyh0 was unblocked.

# rfkill list
0: asus-wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no

That's why some of cases regarding this defect looks like "randomly happened".

BTW I've occasionally seen similar problems caused by other wlan device such as realtek drivers...kind of typical problem? ;)

Hope this helps a bit.

Cheers,
Max

pixolex (pixolex) wrote :

I've just found the problem!!!

And the problem is....... THE MODULE: "asus_nb_wmi"

After blacklist the asus_nb_wmi module the "0: asus-wlan: Wireless LAN" is gone from rfkill list and wireless works again!!!

sudo rfkill list all
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

The collateral damages are that the "Fn" keys are gone also, since this module is for that.

In this mail (http://lwn.net/Articles/429993/) we can read: "I hope this series won't break anything, because there are a lot of change."

Is Mr. Corentin Chary the "father" of this bug?

pixolex (pixolex) wrote :

How to solve/workaround the problem without the collateral damages until someone "QUIRK" this bug with a U32U "wapf" patch to http://lxr.free-electrons.com/source/drivers/platform/x86/asus-nb-wmi.c

a) If you blacklisted the asus_nb_wmi module, please UNblacklist it

b)Create and edit asus_nb_wmi.conf file with this command: sudo echo "options asus_nb_wmi wapf=1" | sudo tee /etc/modprobe.d/asus_nb_wmi.conf

c)reboot

Detailed instructions and Credits go to:
http://ubuntuforums.org/showthread.php?t=2142462&page=3&p=12811307#post12811307
http://ubuntuforums.org/showthread.php?t=2174901&page=4&p=12805891#post12805891

Just for the record:
This bug is present in recent UBUNTU 13.10, since is a LINUX KERNEL BUG.

pixolex, could you please undo any WORKAROUNDs, and test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc6-saucy/ ?

description: updated
pixolex (pixolex) wrote :

No luck with 3.12-rc6-saucy (3.12.0-031200rc6-generic).

The bug persists, but the workaround persists too. ;)

pixolex, getting back to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173681/comments/16 , any reason specifically why you couldn't bisect? This would be the most helpful way forward in getting this bug addressed.

tags: added: kernel-bug-exists-upstream-v3.12-rc6
removed: kernel-bug-exists-upstream-v3.10-rc5 needs-upstream-testing
pixolex (pixolex) wrote :

OK, I'll try to biscet, but you have to help me.

Where do I start?

pixolex, since we know this regression was going from Quantal to Raring, you would want to bisect Ubuntu kernel versions as documented in https://wiki.ubuntu.com/Kernel/KernelBisection#Bisecting_Ubuntu_kernel_versions .

tags: removed: quantal
pixolex (pixolex) wrote :

Well, I know the first non working kernel that I tested, it's the linux 3.8.0-19-generic link in the title of the bug report , but I don't know the last Quantal kernel. I remenber it was 3.5.xx something.

Can you help me?

varunendra (varunendra) wrote :

Not promoting the "WORKAROUND" here, but as long as people coming to this page have to resort to it, I've re-written it in a cleaner and more comprehensive manner in this thread : http://ubuntuforums.org/showthread.php?t=2181558
(also includes how to quickly & completely revert back)

Post #1 in it contains the symptoms, verification, and the workaround, and post #2 contains a workaround for the Fn+F2 key disability.

Also, this workaround is LIMITED to *ASUS* Notebooks/Netbooks ONLY.

I myself have an Asus X54C, but haven't upgraded from kernel 3.2.0-36 yet, so not affected yet. (a 500+ download will take about 2-3 frustrating days on my snail pace gprs connection that breaks every few hours).

Would be more than happy to do the bisecting and other requested operations as soon as I upgrade.

As a side note, I think there should be a separate bug report against "asus_nb_wmi" driver as this one addresses a problem that can be caused by other reasons on other models too. Have requested the same in the linked thread too.

pixolex, you may consult https://launchpad.net/ubuntu/quantal/+source/linux for Quantal kernels.

summary: - 168c:002b AR9285 ath9k not working after updating to ubuntu 13.04 Raring
- (linux 3.8.0-19-generic)
+ 168c:002b [Asus U32U] AR9285 ath9k not working after updating to ubuntu
+ 13.04 Raring (linux 3.8.0-19-generic)
sioban (launchpad-sioban) wrote :

I would like to add that this bug is not limited to Asus, my Lenovo S205 is suffering this bug too :(

pixolex (pixolex) on 2013-10-30
description: updated
pixolex (pixolex) on 2013-10-30
description: updated
pixolex (pixolex) on 2013-10-30
summary: - 168c:002b [Asus U32U] AR9285 ath9k not working after updating to ubuntu
- 13.04 Raring (linux 3.8.0-19-generic)
+ 168c:002b [asus_nb_wmi] [Asus U32U] AR9285 ath9k not working after
+ updating to ubuntu 13.04 Raring (linux 3.8.0-19-generic)

sioban, could you please file a report so your hardware may be tracked via a terminal:
ubuntu-bug linux

Download full text (4.0 KiB)

I'm also affected by this issue.
I'm on a Asus U32U running Ubuntu 13.10, and when running Ubuntu 13.04 the problema already existed!

pedro@asus-U32U:~$ nm-tool

 NetworkManager Tool

 State: connected (global)

- Device: wlan0 ----------------------------------------------------------------
Type: 802.11 WiFi
 Driver: ath9k
 State: unavailable
 Default: no
 HW Address: DC:85E:25:18:1C

 Capabilities:

 Wireless Properties
 WEP Encryption: yes
 WPA Encryption: yes
 WPA2 Encryption: yes

 Wireless Access Points

- Device: eth0 [Conexão cabeada 1] -------------------------------------------
Type: Wired
 Driver: r8169
 State: connected
 Default: yes
 HW Address: 50:46:5D:31:6F:57

 Capabilities:
 Carrier Detect: yes
 Speed: 1000 Mb/s

 Wired Properties
 Carrier: on
 ´
(...)

pedro@asus-U32U:~$ lspci
 00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 14h Processor Root Complex
 00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6320]
 00:01.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler HDMI Audio
 00:04.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 14h Processor Root Port
 00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] (rev 40)
 00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
 00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
 00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
 00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
 00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 SMBus Controller (rev 42)
 00:14.1 IDE interface: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 IDE Controller (rev 40)
 00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
 00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
 00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 PCI to PCI Bridge (rev 40)
 00:15.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB700/SB800/SB900 PCI to PCI bridge (PCIE port 0)
 00:15.1 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB700/SB800/SB900 PCI to PCI bridge (PCIE port 1)
 00:15.2 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB900 PCI to PCI bridge (PCIE port 2)
 00:15.3 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB900 PCI to PCI bridge (PCIE port 3)
 00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 0 (rev 43)
 00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 1
 00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 2
 00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 3
 00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 4
 00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 6
 00:18.6 Host bridge: Adva...

Read more...

sioban (launchpad-sioban) wrote :

@penalvch : I'll do that as soon as Ubuntu 13.10 can be installed on my laptop... right now I can't even boot once it's installed (no boot entry) :(

This UEFI BIOS is really a pest...

varunendra (varunendra) wrote :

@sioban,
For UEFI issues, this might be helpful : http://ubuntuforums.org/showthread.php?t=2147295
If you are on the forums (ubuntuforums.org), and have any wifi threads, let me know. I'd be interested in looking at it.

José Silva, could you please file a report so your hardware may be tracked via a terminal:
ubuntu-bug linux

@Christopher,
I will do that.

LinuxPusher (linuxpusher2) wrote :

I too await a fix for my Asus U32U Net Book Wireless.
Thank you all, for all you do !
Your time and effort is greatly appreceiated :- )
LinuxPusher, Oz Development Team.

LInuxPusher, could you please file a report so your hardware may be tracked via a terminal:
ubuntu-bug linux

Andrei (nocsm) on 2014-04-21
description: updated
varunendra (varunendra) on 2014-07-25
description: updated
22 comments hidden view all 102 comments
Astaroth (adam6441) wrote :

Unfortunately setting wapf=4 doesn't fix the problem on my Asus U32U. It worked in 12.04 though.

varunendra (varunendra) wrote :

@Adam,

If you have an Ubuntu Forums thread about your problem, I'd like to see the wireless_script report on it.

Wireless_script : http://ubuntuforums.org/showpost.php?p=13024222

Kanwar Singh (kssgill) wrote :

same issue on asus X551C with ubuntu lts trusty. Opened bug id 1358427

dmi product name is X551CAP

Astaroth (adam6441) wrote :

@varunendra

Hey, I've just read your post. I'll do it tomorrow, on xubuntu live cd, ok? Or does it have to be on ubuntu?

varunendra (varunendra) wrote :

@adam,
Xubuntu Live will be okay. Not all fixes/workarounds can be tried on a Live System. But let's just see an initial report first.

Astaroth (adam6441) wrote :
Download full text (10.1 KiB)

 ======== Wireless-Info START ========

System-Info ~~~~~~~~~~~~~~~~~~~~~~~~

xubuntu 3.13.0-24-generic x86_64, Ubuntu 14.04 LTS, trusty

CPU : AMD E-450 APU with Radeon(tm) HD Graphics
Memory : 3554 MB
Uptime : 18:04:54 up 2 min, 8 users, load average: 1,17, 0,84, 0,34

lspci ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

04:00.2 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 0a)
 Subsystem: ASUSTeK Computer Inc. Device [1043:1437]
 Kernel driver in use: r8169
--
06:00.0 Network controller [0280]: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
 Subsystem: AzureWave AW-NB037H 802.11bgn Wireless Half-size Mini PCIe Card [AR9002WB-1NGCD] [1a3b:2c37]
 Kernel driver in use: ath9k

lsusb ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Bus 006 Device 002: ID 13fe:5200 Kingston Technology Company Inc.
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 13d3:5710 IMC Networks UVC VGA Webcam
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 003: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 13fe:5500 Kingston Technology Company Inc.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

PCMCIA Card Info ~~~~~~~~~~~~~~~~~~~

iwconfig ~~~~~~~~~~~~~~~~~~~~~~~~~~~

wlan0 IEEE 802.11bgn ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=off
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off

rfkill ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

      Interface Soft blocked Hard blocked
0: phy0: Wireless LAN no yes
1: hci0: Bluetooth yes no
2: asus-wlan: Wireless LAN no no
3: asus-bluetooth: Bluetooth yes no

lsmod ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

asus_nb_wmi 16990 0
asus_wmi 24191 1 asus_nb_wmi
sparse_keymap 13948 1 asus_wmi
ath9k 164164 0
ath9k_common 13551 1 ath9k
ath9k_hw 453856 2 ath9k_common,ath9k
ath 28698 3 ath9k_common,ath9k,ath9k_hw
mac80211 626489 1 ath9k
cfg80211 484040 3 ath,ath9k,mac80211
wmi 19177 1 asus_wmi
video 19476 1 asus_wmi

module parameters ~~~~~~~~~~~~~~~~~~

asus_nb_wmi (1): wapf=0
ath9k (5): blink=0 | bt_ant_diversity=0 | btcoex_enable=0 | nohwcrypt=0 | ps_enable=0
cfg80211 (2): cfg80211_disable_40mhz_24ghz=N | ieee80211_regdom=00
mac80211 (5): beacon_loss_count=7 | ieee80211_default_rc_algo=minstrel_ht | max_nullfunc_tries=2 | max_probe_tries=5 | probe_wait_ms=500
video (3): allow_duplicates=N | brightness_switch_enabled=Y | use_native_backlight=-1
wmi (2): debug_dump_wdg=N | debug_event=N

nm-tool ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

State: disconnected
==============...

Astaroth (adam6441) wrote :
Download full text (11.1 KiB)

and here is with wapf=4 and rfkill unblock all

 ======== Wireless-Info START ========

System-Info ~~~~~~~~~~~~~~~~~~~~~~~~

xubuntu 3.13.0-24-generic x86_64, Ubuntu 14.04 LTS, trusty

CPU : AMD E-450 APU with Radeon(tm) HD Graphics
Memory : 3554 MB
Uptime : 18:11:36 up 9 min, 8 users, load average: 0,13, 0,33, 0,28

lspci ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

04:00.2 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 0a)
 Subsystem: ASUSTeK Computer Inc. Device [1043:1437]
 Kernel driver in use: r8169
--
06:00.0 Network controller [0280]: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
 Subsystem: AzureWave AW-NB037H 802.11bgn Wireless Half-size Mini PCIe Card [AR9002WB-1NGCD] [1a3b:2c37]
 Kernel driver in use: ath9k

lsusb ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Bus 006 Device 003: ID 13fe:5200 Kingston Technology Company Inc.
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 13d3:5710 IMC Networks UVC VGA Webcam
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 003: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 13fe:5500 Kingston Technology Company Inc.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

PCMCIA Card Info ~~~~~~~~~~~~~~~~~~~

iwconfig ~~~~~~~~~~~~~~~~~~~~~~~~~~~

wlan0 IEEE 802.11bgn ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=off
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off

rfkill ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

      Interface Soft blocked Hard blocked
0: phy0: Wireless LAN no yes
1: hci0: Bluetooth no no
8: asus-wlan: Wireless LAN no no
9: asus-bluetooth: Bluetooth no no

lsmod ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

asus_nb_wmi 16990 0
asus_wmi 24191 1 asus_nb_wmi
sparse_keymap 13948 1 asus_wmi
ath9k 164164 0
ath9k_common 13551 1 ath9k
ath9k_hw 453856 2 ath9k_common,ath9k
ath 28698 3 ath9k_common,ath9k,ath9k_hw
mac80211 626489 1 ath9k
cfg80211 484040 3 ath,ath9k,mac80211
wmi 19177 1 asus_wmi
video 19476 1 asus_wmi

module parameters ~~~~~~~~~~~~~~~~~~

asus_nb_wmi (1): wapf=4
ath9k (5): blink=0 | bt_ant_diversity=0 | btcoex_enable=0 | nohwcrypt=0 | ps_enable=0
cfg80211 (2): cfg80211_disable_40mhz_24ghz=N | ieee80211_regdom=00
mac80211 (5): beacon_loss_count=7 | ieee80211_default_rc_algo=minstrel_ht | max_nullfunc_tries=2 | max_probe_tries=5 | probe_wait_ms=500
video (3): allow_duplicates=N | brightness_switch_enabled=Y | use_native_backlight=-1
wmi (2): debug_dump_wdg=N | debug_event=N

nm-tool ~~~~~~~~~~~~~~~~...

Astaroth (adam6441) wrote :

as far as I see device seems to be still locked

0: phy0: Wireless LAN no yes

but led is shining

varunendra (varunendra) wrote :

@adam,

If it is not a UEFI based installation, try a BIOS reset (to factory defaults). Or, if it is dual-booting with Windows 8, try a hot-reboot while the wifi is active.

If these don't help, I suggest you start a thread at ubuntuforums.org with the description of the problem and the wireless_script report, and post its link here so we can follow. This may not be a good place for the kind of troubleshooting you may have to go through.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Felix (felixfang71) wrote :

This bug also affected me, and get solved following steps in http://ubuntuforums.org/showthread.php?t=2181558

Antc (antdcs) wrote :

The same bug i have a laptop X550CC. I sole the wifi conection whit this post http://ubuntuforums.org/showthread.php?t=2181558. And i cant use fn+f2 to control wiki conection. This fail is in ubuntu 14.10 too.

no longer affects: network-manager-applet (Ubuntu)
Uğur Çetin (ugur-jnmbk) wrote :

This also affects me, product name output is like this. Wifi switch only works after using "wapf=4" parameter with asus_nb_wmi module:

$ cat /sys/class/dmi/id/product_name
X551CA

Uğur Çetin, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Jon (g-john-i) wrote :

Affected on new install of 14.04.1 LTS

Wifi only works after using "wapf=4" parameter with asus_nb_wmi module workaround.

$ cat /sys/class/dmi/id/product_name
X551CA

Jon, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Chris Yeun (sebadoh) wrote :

Filed a report via 'ubuntu-bug linux': https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1406300

$ cat /sys/class/dmi/id/product_name
X551CA,

Previously stated workaround: echo "options asus_nb_wmi wapf=4" | sudo tee /etc/modprobe.d/asus_nb_wmi.conf, fixed the issue.

tags: added: cherry-pick utopic
removed: needs-bisect
summary: - 168c:002b [asus_nb_wmi] [Asus U32U] AR9285 ath9k not working after
- updating to ubuntu 13.04 Raring (linux 3.8.0-19-generic)
+ 168c:002b [Asus U32U] asus_nb_wmi AR9285 ath9k not working after
+ updating to Ubuntu 13.04 Raring
Ohadcn (ohadcn) wrote :

just got a new asus d550c, and experience this bug.
thanks for the WA.

Andy Whitcroft (apw) on 2015-01-29
Changed in linux (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-7.7

---------------
linux (3.19.0-7.7) vivid; urgency=low

  [ Andy Whitcroft ]

  * Release Tracking Bug
    - LP: #1426013

  [ Upstream Kernel Changes ]

  * x86/irq: Fix regression caused by commit b568b8601f05
  * cxl: Fix leaking interrupts if attach process fails
    - LP: #1415102
  * cxl: Early return from cxl_handle_fault for a shut down context
    - LP: #1415102
  * cxl: Disable AFU debug flag
    - LP: #1415102
  * cxl: Disable SPAP register when freeing SPA
    - LP: #1415102
  * cxl: remove redundant increment of hwirq
    - LP: #1415102
  * cxl: Add tracepoints
    - LP: #1415102
  * cxl: Update CXL ABI documentation
    - LP: #1415102
  * cxl: Use image state defaults for reloading FPGA
    - LP: #1415102
  * cxl: Add image control to sysfs
    - LP: #1415102
  * cxl: Enable CAPP recovery
    - LP: #1415102
  * cxl: Add ability to reset the card
    - LP: #1415102
  * cxl: Fix device_node reference counting
    - LP: #1415102
  * cxl: Export optional AFU configuration record in sysfs
    - LP: #1415102
  * cxl: Fail AFU initialisation if an invalid configuration record is
    found
    - LP: #1415102
  * cxl: Add missing return statement after handling AFU errror
    - LP: #1415102
  * powerpc/eeh: Introduce flag EEH_PE_REMOVED
    - LP: #1415102
  * powerpc/eeh: Allow to set maximal frozen times
    - LP: #1415102
  * HID: i2c-hid: Limit reads to wMaxInputLength bytes for input events
 -- Andy Whitcroft <email address hidden> Thu, 26 Feb 2015 16:00:18 +0000

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux:
status: New → Invalid
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-utopic
Brad Figg (brad-figg) wrote :

This patch is just a quirk with a very low chance of regression.

tags: added: verification-done-utopic
removed: verification-needed-utopic
Farouk (farouk90210) wrote :

ubuntu 14.04 still not fixed
possible workarround: http://ubuntuforums.org/showthread.php?t=2181558&p=12819605#post12819605

Bartek (bartek-zdanowski) wrote :

Same here!
Ubuntu 14.04 LTS
Asus B451JA

manolo (manuel-sales) wrote :

I read.. http://ubuntuforums.org/showthread.php?t=2181558
And solved it with... echo "options asus_nb_wmi wapf=4" | sudo tee /etc/modprobe.d/asus_nb_wmi.conf

Here is the output of... cat /sys/class/dmi/id/product_name
X555LDB

Xorso (xorso) wrote :

Same here
Ubuntu 15.04
Asus B451JA
The tutorial helped:
http://ubuntuforums.org/showthread.php?t=2181558

Xorso, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Habib (habibseifzadeh) wrote :

Same here,

Debian Jessie, the product model is Asus N551ZU

Stanislav (znakperm) wrote :

My Notebook was affected by this bug, too. And solved it from http://ubuntuforums.org/showthread.php?t=2181558

Here is the output of... cat /sys/class/dmi/id/product_name
K501UX

Stanislav, given this report is closed, it has nothing to do with your problem.

However, if you would like your issue addressed, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

kidmis (kislitsyn-dmytro) wrote :

Christopher,

I wasn't able to create report using ubuntu-bug, so I'm going to post the details here.

I have the same laptop as Stanislav - K501UX, wireless Intel 7265:
sudo lspci -vk -s 03:00.0
03:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)
 Subsystem: Intel Corporation Dual Band Wireless-AC 7265
 Flags: bus master, fast devsel, latency 0, IRQ 129
 Memory at df100000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: [c8] Power Management version 3
 Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
 Capabilities: [40] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 10-02-b5-ff-ff-57-26-fa
 Capabilities: [14c] Latency Tolerance Reporting
 Capabilities: [154] L1 PM Substates
 Kernel driver in use: iwlwifi
 Kernel modules: iwlwifi

Kernel:
4.4.0-13-generic

My symptoms:
Wi-Fi is hard blocked by default and LED airplane mode is on. Fn+F2 doesn't do anything in this case since it works on soft level (not hard, if I'm correct).

Solution:
The trick with adding "options asus_nb_wmi wapf=4" or wapf=1 fix the issue partially. In my case I got worked Wi-fi device, but LED airplane mode shows wrong status (when wifi is off - it's on, and vice versa).

Is there something I can fix or so?

kidmis, one may report a bug manually via https://bugs.launchpad.net/ubuntu/+source/linux/+filebug .

David (david-9ei9nyjpwdex) wrote :

Xubuntu 16.04 x64

WiFi hard blocked

cat /sys/class/dmi/id/product_name
X75VD

lsmod | grep rt
rt2800pci 16384 0
rt2800mmio 20480 1 rt2800pci
rt2800lib 94208 2 rt2800pci,rt2800mmio
rt2x00pci 16384 1 rt2800pci
rt2x00mmio 16384 2 rt2800pci,rt2800mmio
rt2x00lib 57344 5 rt2x00pci,rt2800lib,rt2800pci,rt2800mmio,rt2x00mmio
mac80211 737280 3 rt2x00lib,rt2x00pci,rt2800lib
cfg80211 565248 2 mac80211,rt2x00lib
eeprom_93cx6 16384 1 rt2800pci
crc_ccitt 16384 1 rt2800lib

no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: linux-deepin → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed

David, as per https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173681/comments/81 this report is closed as a code fix was released.

If you want your issue addressed, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

If you are unable to perform this, one may report a bug manually via https://bugs.launchpad.net/ubuntu/+source/linux/+filebug.

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

no longer affects: linux (Ubuntu)
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Invalid → Fix Released
importance: Undecided → Medium
Alessandro Polverini (polve) wrote :

I confirm the problem and the workaround, my product_name is K501UX

Alessandro Polverini (polve) wrote :

The bug is marked as "fix released" but it's affecting me with all latest updates installed

Alessandro Polverini (polve), if you are having an issue, then this report wouldn't have anything to do with your problem.

Despite this, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Alessandro Polverini (polve) wrote :

I'm sorry but I've not access to the machine any more :-(

luca.delpivo (luca-delpivo) wrote :

I've the same problem, my system is:
- PC: ASUS K501UX (i bought it 2 weeks ago)
- OS: Ubuntu 16.04.1 LTS (Xenial)
- Keenel: 4.4.0-36-generic

i resolved the problem by reading this post:
https://ubuntuforums.org/showthread.php?t=2181558

luca.delpivo, if you would like to see a fix for the issue so you don't have to manually modify, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Displaying first 40 and last 40 comments. View all 102 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers